﻿@{ ViewData["Title"] = "Categoria area";
    ViewData["Titulo_lugar"] = "Ingresar Categoria area";
    ViewData["Lugar"] = "Categoria area";


    Layout = "_create"; }







@model Generic_appWeb.Models.Categoria_area


<form asp-action="Create">


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Hacienda</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Hacienda.Hac_id" class="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.haciendaList,"Hac_id", "Hac_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Hacienda.Hac_id" class="text-danger" />

            </div>



        </div>
    </div>



    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Grupo area</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Grupo_area.GAre_id" class="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Grupo_area.GAre_id" asp-items="@(new SelectList(ViewBag.grupo_areaList,"GAre_id", "GAre_descripcion_med"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Grupo_area.GAre_id" class="text-danger" />

            </div>



        </div>
    </div>





    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="CAre_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="CAre_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="CAre_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="CAre_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="CAre_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="CAre_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="CAre_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="CAre_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="CAre_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CAre_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="CAre_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="CAre_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CAre_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="CAre_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="CAre_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="CAre_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="CAre_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="CAre_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CAre_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="CAre_observacion" class="form-control col-md-6" />
                <span asp-validation-for="CAre_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="CAre_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="CAre_fecha_creacion" id="CAre_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CAre_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="CAre_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="CAre_fecha_modificacion" id="CAre_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CAre_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="CAre_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="CAre_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="CAre_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="CAre_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="CAre_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="CAre_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="CAre_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="CAre_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="CAre_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Categoria_area")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>
